<?php
/*
	[Axous] (C) 2009-2010 Axous Inc.
	This is NOT a freeware, use is subject to license terms
*/

class cache
{
	var $lifetime,$cache_path;

	function __construct()
	{
		$this->lifetime = 0;
		$this->cache_path = APP_ROOT.'cache/';

		$index_page = $this->cache_path.'index.html';
		if (!file_exists($index_page))
		{
			cwritefile($index_page,'');
		}
	}

	function loadcache($cacheName, $checkTime = TRUE)
	{
		$cacheFile = $this->cache_path.'cache_'.$cacheName.'.php';
		if (file_exists($cacheFile))
		{
			clearstatcache();
			if ($checkTime && (time() - filemtime($cacheFile)) > $this->lifetime)
			{
				return FALSE;
			}
			else
			{
				return $cacheFile;
			}
		}
		else
		{
			return false;
		}
	}

	function writecache($fileName, $content)
	{
		$cacheFile = $this->cache_path.'cache_' . $fileName . '.php';
		$cacheContent = "<?php\r\n\r\n/** Cache File, DO NOT Modify! **/\r\n\r\n";
		$cacheContent .= $content;
		$cacheContent .= "\r\n?>";
		return cwritefile($cacheFile, $cacheContent, 'wb');
	}
	
	function clearcache()
	{
		if ($dh = opendir($this->cache_path))
		{
			while (($file = readdir($dh)) !== false)
			{
				if (is_file($this->cache_path.$file) && 
				strtolower(pathinfo($this->cache_path.$file,PATHINFO_EXTENSION))=='php')
				{
					unlink($this->cache_path.$file);
				}
			}
			closedir($dh);
		}
	}
	
	function create_link_cache_content($position, $rs)
	{
		global $sysenv;
		$cachecontent = "\$links['$position'][".$rs['id']."]=array();\r\n";
		$cachecontent .= "\$links['$position'][".$rs['id']."]['title']=\"".cache_string($rs['title'])."\";\r\n";
		$cachecontent .= "\$links['$position'][".$rs['id']."]['label']=\"".cache_string($rs['label'])."\";\r\n";
		if ($rs['link']) {
			$cachecontent .= "\$links['$position'][".$rs['id']."]['url']=\"".cache_string($rs['link'])."\";\r\n";
		}
		else
		{
			if ($sysenv['urlrewrite']) {
				$cachecontent .= "\$links['$position'][".$rs['id']."]['url']=\""
				.$sysenv['rooturl'].'page/'.urlencode(strtolower($rs['filename']))
				.'.html'."\";\r\n";
			}
			else
			{
				$cachecontent .= "\$links['$position'][".$rs['id']."]['url']=\""
				.$sysenv['rooturl'].'page.php?id='.$rs['id']."\";\r\n";
			}
		}
		return $cachecontent;
	}

	function links()
	{
		global $db,$tablepre;

		$cachecontent = "\$links=array();\r\n";
		$cachecontent .= "\$links['header']=array();\r\n";
		$cachecontent .= "\$links['nav']=array();\r\n";
		$cachecontent .= "\$links['footer']=array();\r\n";

		$sql = "SELECT id, title, label, link, filename, is_header, is_nav, is_footer 
		FROM {$tablepre}pages WHERE status>0 ORDER BY display_order ASC";
		$query = $db->query($sql);
		while($rs=$db->fetch_array($query))
		{
			if ($rs['is_header']) {
				$cachecontent .= $this->create_link_cache_content('header', $rs);
			}
			if ($rs['is_nav']) {
				$cachecontent .= $this->create_link_cache_content('nav', $rs);
			}
			if ($rs['is_footer']) {
				$cachecontent .= $this->create_link_cache_content('footer', $rs);
			}
		}

		if($this->writecache('links',$cachecontent))
		{
			return $this->loadcache('links');
		}
		else
		{
			return false;
		}
	}

	function friendlinks()
	{
		global $db,$tablepre,$sysenv;

		$cachecontent = "\$friendlinks=array();\r\n";

		$sql = "SELECT id, label, title, url 
		FROM {$tablepre}friendlinks WHERE status=1 ORDER BY display_order ASC";
		$query = $db->query($sql);
		while($rs=$db->fetch_array($query))
		{
			$cachecontent .= "\$friendlinks[".$rs['id']."]=array();\r\n";
			$cachecontent .= "\$friendlinks[".$rs['id']."]['title']=\"".cache_string($rs['title'])."\";\r\n";
			$cachecontent .= "\$friendlinks[".$rs['id']."]['label']=\"".cache_string($rs['label'])."\";\r\n";
			$cachecontent .= "\$friendlinks[".$rs['id']."]['url']=\"".cache_string($rs['url'])."\";\r\n";
		}

		if($this->writecache('friendlinks',$cachecontent))
		{
			return $this->loadcache('friendlinks');
		}
		else
		{
			return false;
		}
	}

	function pages($method, $key)
	{
		global $db,$tablepre;

		$sql = "SELECT title, body, filename FROM {$tablepre}pages WHERE status>0 AND ";
		if ($method == 'id')
		{
			if($key < 1)
			{
				return false;
			}
			$sql .= "id=$key";
		}
		elseif ($method == 'filename')
		{
			$key = preg_replace('/[^a-zA-Z0-9_\-]/', '', $key);
			$sql .= "filename='$key'";
		}
		else 
		{
			return false;
		}

		$cachecontent = "\$page=array();\r\n";
		$query = $db->query($sql);
		if($rs=$db->fetch_array($query))
		{
			$cachecontent .= "\$page['title']=\"".cache_string($rs['title'])."\";\r\n";
			$cachecontent .= "\$page['body']=\"".cache_string($rs['body'])."\";\r\n";
			$cachecontent .= "\$page['filename']=\"".$rs['filename']."\";\r\n";
		}
		else 
		{
			return false;
		}

		if($this->writecache("page_{$method}_{$key}",$cachecontent))
		{
			return $this->loadcache("page_{$method}_{$key}");
		}
		else
		{
			return false;
		}
	}

	function homepage()
	{
		global $db,$tablepre,$sysenv;

		$cachecontent = "\$homepage=array();\r\n";
		$fields = "p.id,p.name,p.version,p.release_date,p.logo,p.license_type_id,
		p.price,p.price_format,p.filesize,p.keywords,p.summary,p.description,p.os_ids,
		l.license_type,c.currency,c.symbol";
		$sql = "SELECT $fields FROM {$tablepre}products p 
		INNER JOIN {$tablepre}license_types l ON p.license_type_id=l.id 
		INNER JOIN {$tablepre}currencies c ON p.currency_id=c.id
		INNER JOIN {$tablepre}categories cate ON p.category_id=cate.id  
		WHERE p.status=1 AND p.home=1 AND cate.status=1 
		ORDER BY p.display_order ASC";

		$query = $db->query($sql);
		while($rs=$db->fetch_array($query))
		{
			$cachecontent .= "\$homepage[".$rs['id']."]=array();\r\n";
			$cachecontent .= "\$homepage[".$rs['id']."]['id']=".$rs['id'].";\r\n";
			$cachecontent .= "\$homepage[".$rs['id']."]['name']=\"".cache_string($rs['name'])."\";\r\n";
			$cachecontent .= "\$homepage[".$rs['id']."]['version']=\"".cache_string($rs['version'])."\";\r\n";
			$cachecontent .= "\$homepage[".$rs['id']."]['release_date']=\"".makedate($rs['release_date'])."\";\r\n";
			$cachecontent .= "\$homepage[".$rs['id']."]['logo']=\"".$sysenv['rooturl'].$rs['logo']."\";\r\n";
			$cachecontent .= "\$homepage[".$rs['id']."]['license_type_id']=".$rs['license_type_id'].";\r\n";
			$cachecontent .= "\$homepage[".$rs['id']."]['price']=\"".c_number_format($rs['price'],$rs['price_format'])."\";\r\n";
			$cachecontent .= "\$homepage[".$rs['id']."]['filesize']=\"".FormatSize($rs['filesize'])."\";\r\n";
			$cachecontent .= "\$homepage[".$rs['id']."]['keywords']=\"".cache_string($rs['keywords'])."\";\r\n";
			$cachecontent .= "\$homepage[".$rs['id']."]['summary']=\"".cache_string($rs['summary'])."\";\r\n";
			$cachecontent .= "\$homepage[".$rs['id']."]['description']=\"".cache_string($rs['description'])."\";\r\n";
			$cachecontent .= "\$homepage[".$rs['id']."]['license_type']=\"".cache_string($rs['license_type'])."\";\r\n";
			$cachecontent .= "\$homepage[".$rs['id']."]['currency']=\"".$rs['currency']."\";\r\n";
			$cachecontent .= "\$homepage[".$rs['id']."]['symbol']=\"".$rs['symbol']."\";\r\n";
			$cachecontent .= "\$homepage[".$rs['id']."]['url']=\"".makeProductUrl($rs)."\";\r\n";
			
			
			$rs['os'] = '';
			if ($rs['os_ids'])
			{
				$sql = "SELECT os FROM {$tablepre}os WHERE id IN (".$rs['os_ids'].")";
				$query1 = $db->query($sql);
				while ($os = $db->fetch_array($query1))
				{
					$rs['os'] .= '/'.$os['os'];
				}
				$rs['os'] = substr($rs['os'],1);
			}
			$cachecontent .= "\$homepage[".$rs['id']."]['os']=\"".$rs['os']."\";\r\n";
			
			$cachecontent .= "\$homepage[".$rs['id']."]['screenshots']=array();\r\n";
			$sql = "SELECT screenshot,thumbnail FROM {$tablepre}screenshots 
			WHERE product_id=".$rs['id']." AND status=1";
			$query1 = $db->query($sql);
			while ($screenshot = $db->fetch_array($query1))
			{
				$screenshot['screenshot'] = $sysenv['rooturl'].$screenshot['screenshot'];
				$screenshot['thumbnail'] = $sysenv['rooturl'].$screenshot['thumbnail'];
				$cachecontent .= "\$homepage[".$rs['id']."]['screenshots'][]=
				array('screenshot'=>'".$screenshot['screenshot']."',
				'thumbnail'=>'".$screenshot['thumbnail']."');\r\n";
			}
			$cachecontent .= "\$homepage[".$rs['id']."]['screenshots_count']=".$db->num_rows($query1).";\r\n";
			
		}

		if($this->writecache('homepage',$cachecontent))
		{
			return $this->loadcache('homepage');
		}
		else
		{
			return false;
		}
	}

	function products()
	{
		global $db,$tablepre,$sysenv;

		$cachecontent = "\$products=array();\r\n";
		$sql = "SELECT id,name,description FROM {$tablepre}categories WHERE status=1 
		ORDER BY display_order ASC";
		$i = 0;
		$query = $db->query($sql);
		while($cate=$db->fetch_array($query))
		{
			$cachecontent .= "\$products[".$cate['id']."]=array();\r\n";
			$cachecontent .= "\$products[".$cate['id']."]['name']=\"".cache_string($cate['name'])."\";\r\n";
			$cachecontent .= "\$products[".$cate['id']."]['description']=\"".cache_string($cate['description'])."\";\r\n";
			if ($sysenv['urlrewrite']) {
				$cachecontent .= "\$products[".$cate['id']."]['url']=\""
				.$sysenv['rooturl']."product/cat-".$cate['id']."/\";\r\n";
				$cachecontent .= "\$products[".$cate['id']."]['download_url']=\""
				.$sysenv['rooturl']."download/cat-".$cate['id']."/\";\r\n";
				$cachecontent .= "\$products[".$cate['id']."]['purchase_url']=\""
				.$sysenv['rooturl']."purchase/cat-".$cate['id']."/\";\r\n";
			}
			else
			{
				$cachecontent .= "\$products[".$cate['id']."]['url']=\""
				.$sysenv['rooturl']."product.php?cid=".$cate['id']."\";\r\n";
				$cachecontent .= "\$products[".$cate['id']."]['download_url']=\""
				.$sysenv['rooturl']."download.php?cid=".$cate['id']."\";\r\n";
				$cachecontent .= "\$products[".$cate['id']."]['purchase_url']=\""
				.$sysenv['rooturl']."purchase.php?cid=".$cate['id']."\";\r\n";
			}
			$cachecontent .= "\$products[".$cate['id']."]['products']=array();\r\n";
			$sql = "SELECT id,name,version FROM {$tablepre}products WHERE category_id=".$cate['id']
			." AND status=1 ORDER BY display_order ASC";
			$query1 = $db->query($sql);
			while ($prod=$db->fetch_array($query1))
			{
				$cachecontent .= "\$products[".$cate['id']."]['products'][".$prod['id']."]['name']=\"".cache_string($prod['name'])."\";\r\n";
				$cachecontent .= "\$products[".$cate['id']."]['products'][".$prod['id']."]['version']=\"".cache_string($prod['version'])."\";\r\n";
				$cachecontent .= "\$products[".$cate['id']."]['products'][".$prod['id']."]['url']=\"".
				makeProductUrl($prod)."\";\r\n";
				$i++;
			}
		}
		$cachecontent .= "\$products_count=$i;\r\n";

		if($this->writecache('products',$cachecontent))
		{
			return $this->loadcache('products');
		}
		else
		{
			return false;
		}
	}
	
	function productinfo($id)
	{
		if($id < 1)
		{
			return false;
		}
		global $db,$tablepre,$sysenv;

		$cachecontent = "\$productinfo=array();\r\n";
		$sql = "SELECT p.id,p.name,p.version,p.logo,c.symbol,p.price,p.price_format,p.keywords,
		p.summary,p.description,p.filesize,p.os_ids FROM {$tablepre}products p 
		INNER JOIN {$tablepre}currencies c ON p.currency_id=c.id 
		WHERE p.status=1 AND p.id=$id";
		$query = $db->query($sql);
		if ($productinfo = $db->fetch_array($query))
		{
			$cachecontent .= "\$productinfo['id']=".$productinfo['id'].";\r\n";
			$cachecontent .= "\$productinfo['name']=\"".cache_string($productinfo['name'])."\";\r\n";
			$cachecontent .= "\$productinfo['version']=\"".cache_string($productinfo['version'])."\";\r\n";
			$cachecontent .= "\$productinfo['logo']=\"".$sysenv['rooturl'].$productinfo['logo']."\";\r\n";
			$cachecontent .= "\$productinfo['symbol']=\"".$productinfo['symbol']."\";\r\n";
			$cachecontent .= "\$productinfo['price']=\"".c_number_format($productinfo['price'],$productinfo['price_format'])."\";\r\n";
			$cachecontent .= "\$productinfo['keywords']=\"".cache_string($productinfo['keywords'])."\";\r\n";
			$cachecontent .= "\$productinfo['summary']=\"".cache_string($productinfo['summary'])."\";\r\n";
			$cachecontent .= "\$productinfo['description']=\"".cache_string($productinfo['description'])."\";\r\n";
			$cachecontent .= "\$productinfo['filesize']=\"".FormatSize($productinfo['filesize'])."\";\r\n";

			$productinfo['os'] = '';
			if ($productinfo['os_ids'])
			{
				$sql = "SELECT os FROM {$tablepre}os WHERE id IN (".$productinfo['os_ids'].")";
				$query = $db->query($sql);
				while ($rs = $db->fetch_array($query))
				{
					$productinfo['os'] .= '/'.$rs['os'];
				}
				$productinfo['os'] = substr($productinfo['os'],1);
			}
			$cachecontent .= "\$productinfo['os']=\"".$productinfo['os']."\";\r\n";
			
			$cachecontent .= "\$productinfo['screenshots']=array();\r\n";
			$sql = "SELECT screenshot,thumbnail FROM {$tablepre}screenshots 
			WHERE product_id=$id AND status=1";
			$query = $db->query($sql);
			while ($rs = $db->fetch_array($query))
			{
				$rs['screenshot'] = $sysenv['rooturl'].$rs['screenshot'];
				$rs['thumbnail'] = $sysenv['rooturl'].$rs['thumbnail'];
				$cachecontent .= "\$productinfo['screenshots'][]=
				array('screenshot'=>'".$rs['screenshot']."',
				'thumbnail'=>'".$rs['thumbnail']."');\r\n";
			}
			$cachecontent .= "\$productinfo['screenshots_count']=".$db->num_rows($query).";\r\n";
		}

		if($this->writecache('productinfo_'.$id,$cachecontent))
		{
			return $this->loadcache('productinfo_'.$id);
		}
		else
		{
			return false;
		}
	}
}
$cache = new Cache;
$cache->lifetime = $cachelifetime;
?>