<?php
/*
	[Axous] (C) 2009-2010 Axous Inc.
	This is NOT a freeware, use is subject to license terms
*/

function daddslashes($string, $force = 0)
{
	!defined('MAGIC_QUOTES_GPC') && define('MAGIC_QUOTES_GPC', get_magic_quotes_gpc());
	if(!MAGIC_QUOTES_GPC || $force) {
		if(is_array($string)) {
			foreach($string as $key => $val) {
				$string[$key] = daddslashes($val, $force);
			}
		} else {
			$string = addslashes($string);
		}
	}
	return $string;
}

function cache_string($string)
{
	return str_replace('"','\"',$string);
}

function inputspecialchar($string)
{
	$string = str_replace("\"","&#34;",$string);
	$string = str_replace("'","&#39;",$string);
	return $string;
}

function makedate($timestamp,$zone=0)
{
	global $time_format;
	return gmdate($time_format, $timestamp + $zone*3600);
}

function maketime($timestamp,$zone=0)
{
	global $time_format;
	return gmdate($time_format.' H:i', $timestamp + $zone*3600);
}

function date2timestamp($str,$zone=0)
{
	global $time_format;
	switch ($time_format)
	{
		case 'm/d/Y':
			$arr_date = explode('/',$str);
			$datestamp = gmmktime(0,0,0,$arr_date[0],$arr_date[1],$arr_date[2]);
			break;
		case 'm-d-Y':
			$arr_date = explode('-',$str);
			$datestamp = gmmktime(0,0,0,$arr_date[0],$arr_date[1],$arr_date[2]);
			break;
		case 'd/m/Y':
			$arr_date = explode('/',$str);
			$datestamp = gmmktime(0,0,0,$arr_date[1],$arr_date[0],$arr_date[2]);
			break;
		case 'd-m-Y':
			$arr_date = explode('-',$str);
			$datestamp = gmmktime(0,0,0,$arr_date[1],$arr_date[0],$arr_date[2]);
			break;
		case 'Y/m/d':
			$arr_date = explode('/',$str);
			$datestamp = gmmktime(0,0,0,$arr_date[1],$arr_date[2],$arr_date[0]);
			break;
		default: //Y-m-d
			$arr_date = explode('-',$str);
			$datestamp = gmmktime(0,0,0,$arr_date[1],$arr_date[2],$arr_date[0]);
	}
	if ($datestamp)
	{
		return $datestamp - $zone*3600;
	}
	else
	{
		return false;
	}
}

function get_time_format()
{
	global $time_format;
	switch ($time_format)
	{
		case 'm/d/Y':
			return 'mm/dd/yyyy';
			break;
		case 'm-d-Y':
			return 'mm-dd-yyyy';
			break;
		case 'd/m/Y':
			return 'dd/mm/yyyy';
			break;
		case 'd-m-Y':
			return 'dd-mm-yyyy';
			break;
		case 'Y/m/d':
			return 'yyyy/mm/dd';
			break;
		default: //Y-m-d
			return 'yyyy-mm-dd';
			break;
	}
}

/*Get sub string in UTF-8 charactors*/
function csubstr($text, $limit, $add = '&#8230;')
{
	$strcut = '';
	$strLength = 0;
	if(strlen($text) > $limit)
	{
		for($i = 0; $i < $limit; $i++)
		{
			if ( $strLength >= strlen($text) )
				break;
			if( ord($text[$strLength]) > 127 )
				$strLength += 3;
			else
				$strLength += 1;
		}
		return substr($text, 0, $strLength).$add;
	}
	else
	{
		return $text;
	}
}

function cwritefile($filename, $content, $mode = 'ab')
{
	if (strpos($filename, '..') !== FALSE)
	{
		return FALSE;
	}
	$path = dirname($filename);
	if (!is_dir($path))
	{
		if (!mkdir($path,0777,TRUE))
		{
			return FALSE;
		}
	}
	$fp = fopen($filename, $mode);
	if ($fp)
	{
		flock($fp, LOCK_EX);
		fwrite($fp, $content);
		fclose($fp);
		chmod($filename, 0777);
		return TRUE;
	}
	return FALSE;
}

function multLink($currentPage, $totalRecords, $urlpre, $urlafter, $pageSize = 10)
{
	global $lang;
	if ($totalRecords <= $pageSize) return '';
	$mult = '';
	$totalPages = ceil($totalRecords / $pageSize);
	$mult .= '<div class="pages">';
	if ($currentPage > 1)
	{
		$mult .= '<a href="'.$urlpre.($currentPage - 1).$urlafter.'">'.$lang['prev'].'</a>';
	}
	else
	{
		$mult .= '<span class="nextprev">'.$lang['prev'].'</span>';	
	}
	if ($totalPages < 13)
	{
		for ($counter = 1; $counter <= $totalPages; $counter++)
		{
			if ($counter == $currentPage)
			{
				$mult .= '<span class="current">'.$counter.'</span>';	
			}
			else
			{
				$mult .= '<a href="'.$urlpre.$counter.$urlafter.'">'.$counter.'</a>';
			}
		}
	}
	elseif ($totalPages > 11)
	{
		if($currentPage < 7)		
		{
			for ($counter = 1; $counter < 10; $counter++)
			{
				if ($counter == $currentPage)
				{
					$mult .= '<span class="current">'.$counter.'</span>';
				}
				else
				{
					$mult .= '<a href="'.$urlpre.$counter.$urlafter.'">'.$counter.'</a>';
				}	
			}
			$mult .= '<span>&#8230;</span><a href="'.$urlpre.($totalPages-1).$urlafter.'">'.($totalPages-1).'</a><a href="'.$urlpre.$totalPages.$urlafter.'">'.$totalPages.'</a>';	
		}
		elseif($totalPages - 6 > $currentPage && $currentPage > 6)
		{
			$mult .= '<a href="'.$urlpre.'1'.$urlafter.'">1</a><a href="'.$urlpre.'2'.$urlafter.'">2</a><span>&#8230;</span>';
			for ($counter = $currentPage - 3; $counter <= $currentPage + 3; $counter++)
			{
				if ($counter == $currentPage)
				{
					$mult .= '<span class="current">'.$counter.'</span>';	
				}
				else
				{
					$mult .= '<a href="'.$urlpre.$counter.$urlafter.'">'.$counter.'</a>';
				}					
			}
			$mult .= '<span>&#8230;</span><a href="'.$urlpre.($totalPages-1).$urlafter.'">'.($totalPages-1).'</a><a href="'.$urlpre.$totalPages.$urlafter.'">'.$totalPages.'</a>';
		}
		else
		{
			$mult .= '<a href="'.$urlpre.'1'.$urlafter.'">1</a><a href="'.$urlpre.'2'.$urlafter.'">2</a><span>&#8230;</span>';
			for ($counter = $totalPages - 8; $counter <= $totalPages; $counter++)
			{
				if ($counter == $currentPage)
				{
					$mult .= '<span class="current">'.$counter.'</span>';	
				}
				else
				{
					$mult .= '<a href="'.$urlpre.$counter.$urlafter.'">'.$counter.'</a>';
				}
			}
		}
	}
	if ($currentPage < $counter - 1)
	{
		$mult .= '<a href="'.$urlpre.($currentPage + 1).$urlafter.'" class="nextprev">'.$lang['next'].'</a>';
	}
	else
	{
		$mult .= '<span class="nextprev">'.$lang['next'].'</span>';
	}
	$mult .= '</div>';
	return $mult;
}

/*Show message to the client and stop execution*/
function showmessage($message, $forward_url = '', $forward_text='', $title='', $target='')
{
	global $seo,$sysenv,$TPL;
	if( !($forward_url && $forward_text) )
	{
		$forward_url = $forward_text = '';
	}
	$TPL->assign('title',$title);
	$TPL->assign('seo',$seo);
	$TPL->assign('sysenv',$sysenv);
	$TPL->assign('message',$message);
	$TPL->assign('forward_url',$forward_url);
	$TPL->assign('forward_text',$forward_text);
	$TPL->assign('target',$target);
	$TPL->display('showmessage.html');
	exit();
}

/*Validate Email Address*/
function ValidateAddress($address) {
    if (function_exists('filter_var')) { //Introduced in PHP 5.2
      if(filter_var($address, FILTER_VALIDATE_EMAIL) === FALSE) {
        return false;
      } else {
        return true;
      }
    } else {
      return preg_match('/^(?:[\w\!\#\$\%\&\'\*\+\-\/\=\?\^\`\{\|\}\~]+\.)*[\w\!\#\$\%\&\'\*\+\-\/\=\?\^\`\{\|\}\~]+@(?:(?:(?:[a-zA-Z0-9_](?:[a-zA-Z0-9_\-](?!\.)){0,61}[a-zA-Z0-9_-]?\.)+[a-zA-Z0-9_](?:[a-zA-Z0-9_\-](?!$)){0,61}[a-zA-Z0-9_]?)|(?:\[(?:(?:[01]?\d{1,2}|2[0-4]\d|25[0-5])\.){3}(?:[01]?\d{1,2}|2[0-4]\d|25[0-5])\]))$/', $address);
    }
  }
  
function c_get_filename_ext($filename)
{
	$filename = explode('.',$filename);
	return $filename[count($filename)-1];
} 
 
function c_move_uploaded_file($file)
{
	global $timestamp;
	$attachments_month_dir = 'upload/'.date('Ym');
	if(!is_dir(APP_ROOT.$attachments_month_dir)){
		if(!mkdir(APP_ROOT.$attachments_month_dir,0777,TRUE))
		{
			return '';
		}
	}
	$sFileExt = c_get_filename_ext(basename($file['name']));
	$sFileName = $attachments_month_dir.'/'.$timestamp.mt_rand().'.'.$sFileExt;
	if(copy($file['tmp_name'],APP_ROOT.$sFileName))
	{
		unlink($file['tmp_name']);
		return $sFileName;
	}
	else
	{
		return '';
	}
}

function FormatSize($fileSize)
{
	$size = intval($fileSize);
	if($size == 0)
	{
		return("0 Bytes");
	}
	$sizename = array(" Bytes", " KB", " MB", " GB", " TB", " PB", " EB", " ZB", " YB");
	return round($size/pow(1024, ($i = floor(log($size, 1024)))), 2) . $sizename[$i];
}

function getOrderNumber($currency_id,$total)
{
	global $timestamp,$db,$tablepre,$sysenv;
	$on = array();
	$on[0] = gmdate('Ymd', $timestamp);
	$on[1] = mt_rand(1000,9999);
	$sql = "INSERT INTO {$tablepre}orders (status,create_time,security,currency_id,total,ip) 
			VALUES(1,$timestamp,$on[1],$currency_id,$total,'".$sysenv['onlineip']."')";
	$db->query($sql);
	$on[2] = $db->insert_id();
	return implode('',$on);
}

function makeOrderNumber($timestamp,$security,$id)
{
	$on = gmdate('Ymd', $timestamp);
	return $on.$security.$id;
}

function QuerystringToArray($str)
{
	$arr = array();
	$pre_arr = explode('&',$str);
	foreach ($pre_arr as $v)
	{
		$v = explode('=',$v);
		$arr[strtolower($v[0])] = addslashes(urldecode($v[1]));
	}
	return $arr;
}

function Post($url, $data = null)
{
	$context = array();
	if (is_array($data))
	{
		ksort($data);
		$context['http'] = array('method' => 'POST',
		'header' => 'Content-type: application/x-www-form-urlencoded',
		'content' => http_build_query($data,'','&'));
	}
	return file_get_contents($url,false,stream_context_create($context));
}

function SendMail($recipient = array(), $subject = '', $body = '')
{
	global $email;
	require_once(APP_ROOT.'include/phpmailer/class.phpmailer.php');
	$mail = new PHPMailer();
	$mail->IsSMTP();
	$mail->SetFrom($email['system_email'],$email['sender_name']);
	$mail->Host = $email['smtp_server'];
	$mail->Port = $email['smtp_port'];
	if($email['smtp_username'])
	{
		$mail->SMTPAuth = true;
		$mail->Username = $email['smtp_username'];
		$mail->Password = $email['smtp_password'];
	}
	else
	{
		$mail->SMTPAuth = false;
	}
	if($email['smtp_ssl'])
	{
		$mail->SMTPSecure = 'ssl';
	}
	else
	{
		$mail->SMTPSecure = '';
	}
	$mail->CharSet = 'UTF-8';
	$mail->ClearAddresses();
	foreach ($recipient AS $r)
	{
		$mail->AddAddress($r);
	}
	$mail->Subject = $subject;
	$mail->Body = $body;
	if ($recipient)
	{
		if($mail->Send())
		{
			return true;
		}
		else
		{
			return $mail->ErrorInfo;
		}
	}
	else
	{
		return false;
	}
}

function xmlencode($str)
{
	$search = array('&','<','>',"'",'"');
	$replace = array('&amp;','&lt;','&gt;','&apos;','&quot;');
	return str_replace($search,$replace,$str);
}

function makeProductUrl($arr)
{
	global $sysenv;
	if ($sysenv['urlrewrite'])
	{
		return $sysenv['rooturl'].'product/'.$arr['id'].'/'.urlencode(strtolower($arr['name']));
	}
	else
	{
		return $sysenv['rooturl'].'productinfo.php?id='.$arr['id'];
	}
}

function c_number_format($number, $format=1)
{
	switch($format)
	{
		case 1:
			return number_format($number, 2, '.', ',');
			break;
		case 2:
			return number_format($number, 2, '.', '.');
			break;
		case 3:
			return number_format($number, 2, '.', '');
			break;
		case 4:
			return number_format($number, 2, ',', ',');
			break;
		case 5:
			return number_format($number, 2, ',', '.');
			break;
		case 6:
			return number_format($number, 2, ',', '');
			break;
		case 7:
			return number_format($number, 0, '', ',');
			break;
		case 8:
			return number_format($number, 0, '', '.');
			break;
		case 9:
			return intval($number);
			break;
	}
}
?>