-- --------------------------------------------------
-- Axous SQL file for installation
-- 2010-10-11 Li Hongming
-- --------------------------------------------------


CREATE TABLE IF NOT EXISTS `fdb_administrators` (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `username` varchar(20) collate utf8_bin NOT NULL,
  `email` varchar(100) collate utf8_bin NOT NULL,
  `password` varchar(32) collate utf8_bin NOT NULL,
  `create_time` int(10) unsigned NOT NULL default '0',
  `last_time` int(10) unsigned NOT NULL default '0',
  `status` tinyint(4) NOT NULL default '1',
  `fails` tinyint(3) unsigned NOT NULL default '0',
  `lock_time` int(10) unsigned NOT NULL default '0' COMMENT 'User can not login before this time',
  PRIMARY KEY  (`id`),
  KEY `username` (`username`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `fdb_categories` (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `display_order` smallint(5) unsigned NOT NULL default '0',
  `name` varchar(30) collate utf8_bin NOT NULL,
  `description` varchar(100) collate utf8_bin NOT NULL,
  `status` tinyint(4) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `display_order` (`display_order`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `fdb_classes` (
  `id` tinyint(3) unsigned NOT NULL auto_increment,
  `class` varchar(100) collate utf8_bin NOT NULL,
  `class_category_id` tinyint(3) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `class_category_id` (`class_category_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=156 ;

INSERT INTO `fdb_classes` (`id`, `class`, `class_category_id`) VALUES
(1, 'Audio & Multimedia::Audio Encoders/Decoders', 1),
(2, 'Audio & Multimedia::Audio File Players', 1),
(3, 'Audio & Multimedia::Audio File Recorders', 1),
(4, 'Audio & Multimedia::CD Burners', 1),
(5, 'Audio & Multimedia::CD Players', 1),
(6, 'Audio & Multimedia::Multimedia Creation Tools', 1),
(7, 'Audio & Multimedia::Music Composers', 1),
(8, 'Audio & Multimedia::Other', 1),
(9, 'Audio & Multimedia::Presentation Tools', 1),
(10, 'Audio & Multimedia::Rippers & Converters', 1),
(11, 'Audio & Multimedia::Speech', 1),
(12, 'Audio & Multimedia::Video Tools', 1),
(13, 'Business::Accounting & Finance', 2),
(14, 'Business::Calculators & Converters', 2),
(15, 'Business::Databases & Tools', 2),
(16, 'Business::Helpdesk & Remote PC', 2),
(17, 'Business::Inventory & Barcoding', 2),
(18, 'Business::Investment Tools', 2),
(19, 'Business::Math & Scientific Tools', 2),
(20, 'Business::Office Suites & Tools', 2),
(21, 'Business::Other', 2),
(22, 'Business::PIMS & Calendars', 2),
(23, 'Business::Project Management', 2),
(24, 'Business::Vertical Market Apps', 2),
(25, 'Communications::Chat & Instant Messaging', 8),
(26, 'Communications::Dial Up & Connection Tools', 8),
(27, 'Communications::E-Mail Clients', 8),
(28, 'Communications::E-Mail List Management', 8),
(29, 'Communications::Fax Tools', 8),
(30, 'Communications::Newsgroup Clients', 8),
(31, 'Communications::Other Comms Tools', 8),
(32, 'Communications::Other E-Mail Tools', 8),
(33, 'Communications::Pager Tools', 8),
(34, 'Communications::Telephony', 8),
(35, 'Communications::Web/Video Cams', 8),
(36, 'Desktop::Clocks & Alarms', 11),
(37, 'Desktop::Cursors & Fonts', 11),
(38, 'Desktop::Icons', 11),
(39, 'Desktop::Other', 11),
(40, 'Desktop::Screen Savers: Art', 10),
(41, 'Desktop::Screen Savers: Cartoons', 10),
(42, 'Desktop::Screen Savers: Nature', 10),
(43, 'Desktop::Screen Savers: Other', 10),
(44, 'Desktop::Screen Savers: People', 10),
(45, 'Desktop::Screen Savers: Science', 10),
(46, 'Desktop::Screen Savers: Seasonal', 10),
(47, 'Desktop::Screen Savers: Vehicles', 10),
(48, 'Desktop::Themes & Wallpaper', 11),
(49, 'Development::Active X', 3),
(50, 'Development::Basic, VB, VB DotNet', 3),
(51, 'Development::C / C++ / C#', 3),
(52, 'Development::Compilers & Interpreters', 3),
(53, 'Development::Components & Libraries', 3),
(54, 'Development::Debugging', 3),
(55, 'Development::Delphi', 3),
(56, 'Development::Help Tools', 3),
(57, 'Development::Install & Setup', 3),
(58, 'Development::Management & Distribution', 3),
(59, 'Development::Other', 3),
(60, 'Development::Source Editors', 3),
(61, 'Education::Computer', 4),
(62, 'Education::Dictionaries', 4),
(63, 'Education::Geography', 4),
(64, 'Education::Kids', 4),
(65, 'Education::Languages', 4),
(66, 'Education::Mathematics', 4),
(67, 'Education::Other', 4),
(68, 'Education::Reference Tools', 4),
(69, 'Education::Science', 4),
(70, 'Education::Teaching & Training Tools', 4),
(71, 'Games & Entertainment::Action', 5),
(72, 'Games & Entertainment::Adventure & Roleplay', 5),
(73, 'Games & Entertainment::Arcade', 5),
(74, 'Games & Entertainment::Board', 5),
(75, 'Games & Entertainment::Card', 5),
(76, 'Games & Entertainment::Casino & Gambling', 5),
(77, 'Games & Entertainment::Kids', 5),
(78, 'Games & Entertainment::Online Gaming', 5),
(79, 'Games & Entertainment::Other', 5),
(80, 'Games & Entertainment::Puzzle & Word Games', 5),
(81, 'Games & Entertainment::Simulation', 5),
(82, 'Games & Entertainment::Sports', 5),
(83, 'Games & Entertainment::Strategy & War Games', 5),
(84, 'Games & Entertainment::Tools & Editors', 5),
(85, 'Graphic Apps::Animation Tools', 6),
(86, 'Graphic Apps::CAD', 6),
(87, 'Graphic Apps::Converters & Optimizers', 6),
(88, 'Graphic Apps::Editors', 6),
(89, 'Graphic Apps::Font Tools', 6),
(90, 'Graphic Apps::Gallery & Cataloging Tools', 6),
(91, 'Graphic Apps::Icon Tools', 6),
(92, 'Graphic Apps::Other', 6),
(93, 'Graphic Apps::Screen Capture', 6),
(94, 'Graphic Apps::Viewers', 6),
(95, 'Home & Hobby::Astrology/Biorhythms/Mystic', 7),
(96, 'Home & Hobby::Astronomy', 7),
(97, 'Home & Hobby::Cataloging', 7),
(98, 'Home & Hobby::Food & Drink', 7),
(99, 'Home & Hobby::Genealogy', 7),
(100, 'Home & Hobby::Health & Nutrition', 7),
(101, 'Home & Hobby::Other', 7),
(102, 'Home & Hobby::Personal Finance', 7),
(103, 'Home & Hobby::Personal Interest', 7),
(104, 'Home & Hobby::Recreation', 7),
(105, 'Home & Hobby::Religion', 7),
(106, 'Network & Internet::Ad Blockers', 8),
(107, 'Network & Internet::Browser Tools', 8),
(108, 'Network & Internet::Browsers', 8),
(109, 'Network & Internet::Download Managers', 8),
(110, 'Network & Internet::File Sharing/Peer to Peer', 8),
(111, 'Network & Internet::FTP Clients', 8),
(112, 'Network & Internet::Network Monitoring', 8),
(113, 'Network & Internet::Other', 8),
(114, 'Network & Internet::Remote Computing', 8),
(115, 'Network & Internet::Search/Lookup Tools', 8),
(116, 'Network & Internet::Terminal & Telnet Clients', 8),
(117, 'Network & Internet::Timers & Time Synch', 8),
(118, 'Network & Internet::Trace & Ping Tools', 8),
(119, 'Security & Privacy::Access Control', 11),
(120, 'Security & Privacy::Anti-Spam & Anti-Spy Tools', 11),
(121, 'Security & Privacy::Anti-Virus Tools', 11),
(122, 'Security & Privacy::Covert Surveillance', 11),
(123, 'Security & Privacy::Encryption Tools', 11),
(124, 'Security & Privacy::Other', 11),
(125, 'Security & Privacy::Password Managers', 11),
(126, 'Servers::Firewall & Proxy Servers', 8),
(127, 'Servers::FTP Servers', 8),
(128, 'Servers::Mail Servers', 8),
(129, 'Servers::News Servers', 8),
(130, 'Servers::Other Server Applications', 8),
(131, 'Servers::Telnet Servers', 8),
(132, 'Servers::Web Servers', 8),
(133, 'System Utilities::Automation Tools', 11),
(134, 'System Utilities::Backup & Restore', 11),
(135, 'System Utilities::Benchmarking', 11),
(136, 'System Utilities::Clipboard Tools', 11),
(137, 'System Utilities::File & Disk Management', 11),
(138, 'System Utilities::File Compression', 11),
(139, 'System Utilities::Launchers & Task Managers', 11),
(140, 'System Utilities::Other', 11),
(141, 'System Utilities::Printer', 11),
(142, 'System Utilities::Registry Tools', 11),
(143, 'System Utilities::Shell Tools', 11),
(144, 'System Utilities::System Maintenance', 11),
(145, 'System Utilities::Text/Document Editors', 11),
(146, 'Web Development::ASP & PHP', 3),
(147, 'Web Development::E-Commerce', 3),
(148, 'Web Development::Flash Tools', 3),
(149, 'Web Development::HTML Tools', 3),
(150, 'Web Development::Java & JavaScript', 3),
(151, 'Web Development::Log Analysers', 3),
(152, 'Web Development::Other', 3),
(153, 'Web Development::Site Administration', 3),
(154, 'Web Development::Wizards & Components', 3),
(155, 'Web Development::XML/CSS Tools', 3);

CREATE TABLE IF NOT EXISTS `fdb_class_categories` (
  `id` tinyint(3) unsigned NOT NULL auto_increment,
  `class_category` varchar(20) collate utf8_bin NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=12 ;

INSERT INTO `fdb_class_categories` (`id`, `class_category`) VALUES
(1, 'Audio'),
(2, 'Business'),
(3, 'Development Tools'),
(4, 'Education'),
(5, 'Games'),
(6, 'Graphics'),
(7, 'Home/Hobby'),
(8, 'Internet'),
(9, 'Miscellaneous'),
(10, 'Screen Savers'),
(11, 'Utilities');

CREATE TABLE IF NOT EXISTS `fdb_currencies` (
  `id` tinyint(3) unsigned NOT NULL auto_increment,
  `currency` varchar(3) collate utf8_bin NOT NULL,
  `symbol` varchar(2) collate utf8_bin NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=5 ;

INSERT INTO `fdb_currencies` (`id`, `currency`, `symbol`) VALUES
(1, 'USD', '$'),
(2, 'EUR', '€'),
(3, 'GBP', '£'),
(4, 'JPY', '￥');

CREATE TABLE IF NOT EXISTS `fdb_friendlinks` (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `label` varchar(100) collate utf8_bin NOT NULL,
  `title` varchar(100) collate utf8_bin NOT NULL,
  `url` varchar(100) collate utf8_bin NOT NULL,
  `display_order` smallint(5) unsigned NOT NULL default '0',
  `status` tinyint(4) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `display_order` (`display_order`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=2 ;

INSERT INTO `fdb_friendlinks` (`id`, `label`, `title`, `url`, `display_order`, `status`) VALUES
(1, 'Axous', 'Complete Shareware Site Solutions', 'http://www.axous.com/', 99, 1);

CREATE TABLE IF NOT EXISTS `fdb_install_support` (
  `id` tinyint(3) unsigned NOT NULL auto_increment,
  `install_support` varchar(30) collate utf8_bin NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=5 ;

INSERT INTO `fdb_install_support` (`id`, `install_support`) VALUES
(1, 'Install and Uninstall'),
(2, 'Install Only'),
(3, 'No Install Support'),
(4, 'Uninstall Only');

CREATE TABLE IF NOT EXISTS `fdb_languages` (
  `id` tinyint(3) unsigned NOT NULL auto_increment,
  `language` varchar(20) collate utf8_bin NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=27 ;

INSERT INTO `fdb_languages` (`id`, `language`) VALUES
(1, 'English'),
(2, 'Arabic'),
(3, 'ChineseSimplified'),
(4, 'ChineseTraditional'),
(5, 'Czech'),
(6, 'Danish'),
(7, 'Finnish'),
(8, 'French'),
(9, 'German'),
(10, 'Greek'),
(11, 'Hindi'),
(12, 'Hungarian'),
(13, 'Italian'),
(14, 'Japanese'),
(15, 'Korean'),
(16, 'Other'),
(17, 'Polish'),
(18, 'Portuguese'),
(19, 'Romanian'),
(20, 'Russian'),
(21, 'Spanish'),
(22, 'Swedish'),
(23, 'Turkish'),
(24, 'Urdu'),
(25, 'Vietnamese'),
(26, 'Yiddish');

CREATE TABLE IF NOT EXISTS `fdb_license_types` (
  `id` tinyint(3) unsigned NOT NULL auto_increment,
  `license_type` varchar(20) collate utf8_bin NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=7 ;

INSERT INTO `fdb_license_types` (`id`, `license_type`) VALUES
(1, 'Shareware'),
(2, 'Freeware'),
(3, 'Adware'),
(4, 'Demo'),
(5, 'Commercial'),
(6, 'Data Only');

CREATE TABLE IF NOT EXISTS `fdb_orders` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `status` tinyint(4) NOT NULL COMMENT '-2=Reversed,-1=Refunded,1=Waiting Payment,2=Paid,3=Finished',
  `create_time` int(10) unsigned NOT NULL,
  `commit_time` int(10) unsigned NOT NULL,
  `pay_time` int(10) unsigned NOT NULL,
  `finish_time` int(10) unsigned NOT NULL,
  `refund_time` int(10) unsigned NOT NULL,
  `security` smallint(5) unsigned NOT NULL,
  `currency_id` tinyint(3) unsigned NOT NULL,
  `total` float unsigned NOT NULL,
  `tax` float unsigned NOT NULL,
  `fee` float unsigned NOT NULL,
  `refund` float NOT NULL,
  `paypal_transaction_id` varchar(19) collate utf8_bin NOT NULL,
  `payer_email` varchar(200) collate utf8_bin NOT NULL,
  `payer_firstname` varchar(200) collate utf8_bin NOT NULL,
  `payer_lastname` varchar(200) collate utf8_bin NOT NULL,
  `ip` varchar(15) collate utf8_bin NOT NULL,
  `note` text collate utf8_bin NOT NULL,
  `email_log` text collate utf8_bin NOT NULL,
  `ipn_log` text collate utf8_bin NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `paypal_transaction_id` (`paypal_transaction_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `fdb_order_items` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `order_id` int(10) unsigned NOT NULL,
  `item_type` tinyint(4) NOT NULL default '1' COMMENT '1=product,2=coupon',
  `product_id` int(10) unsigned NOT NULL,
  `quantity` smallint(5) unsigned NOT NULL,
  `reginfo` text collate utf8_bin NOT NULL,
  `regcode` text collate utf8_bin NOT NULL,
  `cookie_id` int(10) unsigned NOT NULL,
  `status` tinyint(4) NOT NULL default '0' COMMENT '-1=error,0=new,1=completed',
  PRIMARY KEY  (`id`),
  KEY `order_id` (`order_id`),
  KEY `product_id` (`product_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `fdb_os` (
  `id` tinyint(3) unsigned NOT NULL auto_increment,
  `os` varchar(50) collate utf8_bin NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=34 ;

INSERT INTO `fdb_os` (`id`, `os`) VALUES
(1, 'Android'),
(2, 'BlackBerry'),
(3, 'Handheld/Mobile Other'),
(4, 'iPhone'),
(5, 'iPod'),
(6, 'iTouch'),
(7, 'Java'),
(8, 'Linux'),
(9, 'Linux Console'),
(10, 'Linux Gnome'),
(11, 'Linux GPL'),
(12, 'Linux Open Source'),
(13, 'Mac OS X'),
(14, 'Mac Other'),
(15, 'MS-DOS'),
(16, 'Netware'),
(17, 'OpenVMS'),
(18, 'Palm'),
(19, 'Pocket PC'),
(20, 'Symbian'),
(21, 'Unix'),
(22, 'Win2000'),
(23, 'Win7 x32'),
(24, 'Win7 x64'),
(25, 'Win98'),
(26, 'WinMobile'),
(27, 'WinOther'),
(28, 'WinServer'),
(29, 'WinVista'),
(30, 'WinVista x64'),
(31, 'WinXP'),
(32, 'Other'),
(33, 'Not Applicable');

CREATE TABLE IF NOT EXISTS `fdb_pages` (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `display_order` smallint(5) unsigned NOT NULL default '0',
  `title` varchar(100) collate utf8_bin NOT NULL,
  `label` varchar(100) collate utf8_bin NOT NULL,
  `is_header` tinyint(3) unsigned NOT NULL default '0' COMMENT 'Position Header Links',
  `is_nav` tinyint(3) unsigned NOT NULL default '0' COMMENT 'Position Nav Buttons',
  `is_footer` tinyint(3) unsigned NOT NULL default '0' COMMENT 'Position Footer Links',
  `link` varchar(100) collate utf8_bin NOT NULL,
  `body` text collate utf8_bin NOT NULL,
  `filename` varchar(20) collate utf8_bin NOT NULL,
  `status` tinyint(4) NOT NULL default '1' COMMENT '0=removed, 1=available, 2=fixed',
  PRIMARY KEY  (`id`),
  KEY `filename` (`filename`),
  KEY `display_order` (`display_order`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=11 ;

INSERT INTO `fdb_pages` (`id`, `display_order`, `title`, `label`, `is_header`, `is_nav`, `is_footer`, `link`, `body`, `filename`, `status`) VALUES
(1, 0, 'About', 'About', 0, 1, 1, '', '', 'about', 2),
(2, 1, 'Contact', 'Contact', 0, 1, 1, '', '', 'contact', 2),
(3, 2, 'Support', 'Support', 0, 1, 1, '', '', 'support', 2),
(4, 3, 'Copyright', 'Copyright', 0, 0, 1, '', '', 'copyright', 1),
(5, 4, 'Privacy', 'Privacy', 0, 0, 1, '', '', 'privacy', 1);

CREATE TABLE IF NOT EXISTS `fdb_products` (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `display_order` smallint(5) unsigned NOT NULL default '0',
  `status` tinyint(4) NOT NULL default '1',
  `home` tinyint(4) NOT NULL default '0',
  `category_id` smallint(5) unsigned NOT NULL,
  `name` varchar(60) collate utf8_bin NOT NULL,
  `version` varchar(10) collate utf8_bin NOT NULL,
  `release_date` int(10) unsigned NOT NULL,
  `release_status_id` tinyint(3) unsigned NOT NULL,
  `last_update` int(10) unsigned NOT NULL,
  `logo` varchar(50) collate utf8_bin NOT NULL,
  `icon` varchar(50) collate utf8_bin NOT NULL,
  `license_type_id` tinyint(3) unsigned NOT NULL,
  `currency_id` tinyint(3) unsigned NOT NULL,
  `price` float NOT NULL default '0',
  `price_format` tinyint(3) unsigned NOT NULL default '1',
  `filesize` bigint(20) unsigned NOT NULL default '0',
  `download1` varchar(200) collate utf8_bin NOT NULL,
  `download2` varchar(200) collate utf8_bin NOT NULL,
  `download3` varchar(200) collate utf8_bin NOT NULL,
  `class_id` tinyint(3) unsigned NOT NULL,
  `install_support_id` tinyint(3) unsigned NOT NULL,
  `language_ids` varchar(100) collate utf8_bin NOT NULL,
  `os_ids` varchar(100) collate utf8_bin NOT NULL,
  `keywords` varchar(200) collate utf8_bin NOT NULL,
  `summary` varchar(450) collate utf8_bin NOT NULL,
  `description` text collate utf8_bin NOT NULL,
  `desc45` varchar(45) collate utf8_bin NOT NULL,
  `desc80` varchar(80) collate utf8_bin NOT NULL,
  `desc250` varchar(250) collate utf8_bin NOT NULL,
  `da` text collate utf8_bin NOT NULL COMMENT 'Distribution Agreements',
  `eula` text collate utf8_bin NOT NULL COMMENT 'End User License Agreements',
  `reg_type` tinyint(3) unsigned NOT NULL default '1' COMMENT '1=Storage, 2=Auto generate, 3=Manual process',
  `keygen` varchar(200) collate utf8_bin NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `name` (`name`),
  KEY `display_order` (`display_order`),
  KEY `category_id` (`category_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `fdb_regcodes` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `status` tinyint(4) NOT NULL default '1' COMMENT '-1=deleted,0=sold,1=available',
  `item_id` int(10) unsigned NOT NULL,
  `product_id` smallint(5) unsigned NOT NULL,
  `regcode` varchar(200) collate utf8_bin NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `product_id` (`product_id`),
  KEY `item_id` (`item_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `fdb_regfields` (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `product_id` smallint(5) unsigned NOT NULL,
  `label` varchar(30) collate utf8_bin NOT NULL,
  `name` varchar(30) collate utf8_bin NOT NULL,
  `field_type` tinyint(3) unsigned NOT NULL default '1' COMMENT '1=Line Text (text), 2=Multiline Text (textarea), 3=Secret Text (password), 4=Single Choice (radio), 5=Multiple Choice (checkbox), 6=Drop Menu (select)',
  `field_values` varchar(200) collate utf8_bin NOT NULL,
  `description` varchar(100) collate utf8_bin NOT NULL,
  `status` tinyint(4) NOT NULL default '1',
  `required` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `product_id` (`product_id`),
  KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `fdb_release_status` (
  `id` tinyint(3) unsigned NOT NULL auto_increment,
  `release_status` varchar(20) collate utf8_bin NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=7 ;

INSERT INTO `fdb_release_status` (`id`, `release_status`) VALUES
(1, 'Major Update'),
(2, 'Minor Update'),
(3, 'New Release'),
(4, 'Beta'),
(5, 'Alpha'),
(6, 'Media Only');

CREATE TABLE IF NOT EXISTS `fdb_screenshots` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `status` tinyint(4) NOT NULL default '1',
  `display_order` smallint(5) unsigned NOT NULL default '0',
  `product_id` smallint(5) unsigned NOT NULL,
  `screenshot` varchar(50) collate utf8_bin NOT NULL,
  `thumbnail` varchar(50) collate utf8_bin NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `display_order` (`display_order`),
  KEY `product_id` (`product_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `fdb_settings` (
  `company_name` varchar(100) collate utf8_bin NOT NULL,
  `company_address1` varchar(100) collate utf8_bin NOT NULL,
  `company_address2` varchar(100) collate utf8_bin NOT NULL,
  `company_city` varchar(50) collate utf8_bin NOT NULL,
  `company_state` varchar(50) collate utf8_bin NOT NULL,
  `company_zip` varchar(6) collate utf8_bin NOT NULL,
  `company_country` varchar(50) collate utf8_bin NOT NULL,
  `author_firstname` varchar(50) collate utf8_bin NOT NULL,
  `author_lastname` varchar(50) collate utf8_bin NOT NULL,
  `author_email` varchar(100) collate utf8_bin NOT NULL,
  `contact_firstname` varchar(50) collate utf8_bin NOT NULL,
  `contact_lastname` varchar(50) collate utf8_bin NOT NULL,
  `contact_email` varchar(100) collate utf8_bin NOT NULL,
  `support_general_email` varchar(100) collate utf8_bin NOT NULL,
  `support_general_phone` varchar(50) collate utf8_bin NOT NULL,
  `support_fax` varchar(50) collate utf8_bin NOT NULL,
  `support_sales_email` varchar(100) collate utf8_bin NOT NULL,
  `support_sales_phone` varchar(50) collate utf8_bin NOT NULL,
  `support_email` varchar(100) collate utf8_bin NOT NULL,
  `support_phone` varchar(50) collate utf8_bin NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

INSERT INTO `fdb_settings` (`company_name`, `company_address1`, `company_address2`, `company_city`, `company_state`, `company_zip`, `company_country`, `author_firstname`, `author_lastname`, `author_email`, `contact_firstname`, `contact_lastname`, `contact_email`, `support_general_email`, `support_general_phone`, `support_fax`, `support_sales_email`, `support_sales_phone`, `support_email`, `support_phone`) VALUES
('', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '', '');

CREATE TABLE IF NOT EXISTS `fdb_stat` (
  `time` int(10) unsigned NOT NULL,
  `ip` varchar(15) collate utf8_bin NOT NULL,
  `product_id` smallint(5) unsigned NOT NULL,
  `type` tinyint(3) unsigned NOT NULL COMMENT '1=visit,2=download'
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

