<?php
/*
	[Axous] (C) 2009-2010 Axous Inc.
	This is NOT a freeware, use is subject to license terms
*/

define('APP_ROOT', str_replace('\\', '/', substr((dirname(__FILE__)),
 0, -7)));
define('MAGIC_QUOTES_GPC', get_magic_quotes_gpc());
require_once(APP_ROOT.'include/global.func.php');
require_once(APP_ROOT.'include/conn.inc.php');

//error_reporting (E_ALL);
error_reporting (0);
ob_start();

foreach(array('_COOKIE', '_POST', '_GET') as $_request) {
	foreach($$_request as $_key => $_value) {
		$_key{0} != '_' && $$_key = daddslashes($_value);
	}
}

foreach($_COOKIE as $key => $val) {
	$_DCOOKIE[$key] = MAGIC_QUOTES_GPC ? $val : daddslashes($val);
}
unset($_request, $_key, $_value);

$timestamp = time();

$lockfile = APP_ROOT.'cache/install.lock';
if (file_exists($lockfile))
{
	echo 'You have installed Axous on this server before. 
	If you want to reinstall Axous, please remove the file cache/install.lock';
	exit();
}

$templates_dir = APP_ROOT.'install/templates/';
$compile_dir = APP_ROOT.'install/compile/';
$cache_dir = APP_ROOT.'install/cache/';

if(!(chk_writeable($compile_dir,1) && chk_writeable($cache_dir,1) ))
{
	echo "Error: the directories 'install/compile/' and 'install/cache/' must be writeable";
	exit();
}

require_once(APP_ROOT.'include/smarty/Smarty.class.php');
$TPL = new Smarty;
$TPL->debugging = FALSE;
$TPL->template_dir = $templates_dir;
$TPL->compile_dir = $compile_dir;
$TPL->cache_dir = $cache_dir;
$TPL->cache_lifetime = 0;
$TPL->caching = FALSE;
$TPL->left_delimiter = '{#';
$TPL->right_delimiter = '#}';

header("Content-type: text/html; charset=utf-8");

function chk_writeable($file,$is_dir=0)
{
	$writeable = 0;
	if ($is_dir)
	{
		if(!is_dir($file))
		{
			@mkdir($file,0777,TRUE);
		}
		if(is_dir($file))
		{
			if($fp = @fopen("$file/test.txt", 'w'))
			{
				@fclose($fp);
				@unlink("$file/test.txt");
				$writeable = 1;
			}
		}
	}
	else
	{
		if(file_exists($file))
		{
			if(is_writable($file))
			{
				$writeable = 1;
			}
		}
	}
	return $writeable;
}

function check_db($dbhost, $dbuser, $dbpw, $dbname)
{
	unset($db);
	$checkresult = true;
	if(!function_exists('mysql_connect'))
	{
		$checkresult = false;
	}
	if($link = mysql_connect($dbhost, $dbuser, $dbpw, 1))
	{
		$sql = "ALTER DATABASE $dbname DEFAULT CHARACTER SET utf8 COLLATE utf8_bin";
		$query = mysql_query($sql,$link);
		if(!$query)
		{
			$checkresult = false;
		}
	}
	else
	{
		$checkresult = false;
	}

	return $checkresult;
}

function runquery($sql,$sql_extra='') {
	global $field;
	if(!isset($sql) || empty($sql))
	{
		return false;
	}

	$db = new dbstuff;
	$db->connect($field['dbhost'], $field['dbuser'], 
	$field['dbpw'], $field['dbname']);
	$db->select_db($field['dbname']);
	$sql = str_replace("\r", "\n", $sql);
	$ret = array();
	$num = 0;
	$sql_lines = explode(";\n", trim($sql));
	foreach($sql_lines as $query)
	{
		$ret[$num] = '';
		$queries = explode("\n", trim($query));
		foreach($queries as $query)
		{
			$ret[$num] .= (isset($query[0]) && $query[0] == '#') || 
			(isset($query[1]) && isset($query[1]) && $query[0].$query[1] == '--') ? '' : $query;
		}
		$num++;
	}
	unset($sql);

	foreach($ret as $query)
	{
		$query = trim($query);
		if($query)
		{
			$db->query($query);
		}
	}
	
	if ($sql_extra)
	{
		$db->query($sql_extra);
	}
	unset($db);
}

if (isset($step) && is_numeric($step) && $step >= 1)
{
	$step = intval($step);
}
else
{
	$step = 0;
}

$cache_file = $cache_dir.'install.php';
include_once($cache_file);

function install_cache()
{
	global $field,$check_step,$cache_file;

	$file_content = "<?php\r\n";
	$file_content .= "\$field = array();\r\n";
	$file_content .= "\$check_step = array();\r\n";

	foreach($field as $k=>$v)
	{
		$file_content .= "\$field['{$k}'] = \"".cache_string($v)."\";\r\n";
	}
	foreach($check_step as $k=>$v)
	{
		$file_content .= "\$check_step['{$k}'] = \"".cache_string($v)."\";\r\n";
	}

	$file_content .= "?>";
	cwritefile($cache_file, $file_content, 'wb');
}

switch ($step)
{
	case 0:
		$title = "End User License Agreenment";
		$TPL->assign('title',$title);
		break;
	case 1:
		$checklist = array();

		$i = 1;
		$checklist[$i] = array();
		$checklist[$i]['desc'] = 'PHP 5.0+';
		$checklist[$i]['status'] = (PHP_VERSION >= 5.0 ? 1 : 0);
		$i++;
		
		$checklist[$i] = array();
		$checklist[$i]['desc'] = 'GD 2.0+';
		$checklist[$i]['status'] = 0;
		if ($tmp = function_exists('gd_info') ? gd_info() : array())
		{
			$gd_version = preg_replace('/[a-z]|\(|\)/i','',$tmp['GD Version']);
			if ($gd_version >= 2.0)
			{
				$checklist[$i]['status'] = 1;
			}
		}
		$i++;
		
		$files_to_check = array();
		$files_to_check[] = './config.inc.php';
		$files_to_check[] = './cache/';
		$files_to_check[] = './smartyfiles/';
		$files_to_check[] = './upload/';
		foreach ($files_to_check as $v)
		{
			$checklist[$i] = array();
			$checklist[$i]['desc'] = $v.' Writeable';
			$checklist[$i]['status'] = ($i==3 ? chk_writeable(APP_ROOT.$v) :
			 chk_writeable(APP_ROOT.$v,1));
			$i++;
		}

		$urls_to_check = array();
		$urls_to_check[] = 'https://api-3t.paypal.com/nvp';
		$urls_to_check[] = 'https://www.paypal.com/cgi-bin/webscr';
		foreach ($urls_to_check as $v)
		{
			$checklist[$i] = array();
			$checklist[$i]['desc'] = 'Connection with '.$v;
			$tmp = Post($v);
			if ($tmp)
			{
				$checklist[$i]['status'] = 1;
			}
			else
			{
				$checklist[$i]['status'] = 0;
			}
			$i++;
		}

		$check_pass = 1;
		$check_step[1] = 1;
		foreach ($checklist as $v)
		{
			if (!$v['status'])
			{
				$check_pass = 0;
				$check_step[1] = 0;
			}
		}
		$TPL->assign('checklist',$checklist);
		$TPL->assign('check_pass',$check_pass);
		$title = "Step 1: System Requirement Check";
		$TPL->assign('title',$title);
		install_cache();
		break;
	case 2:
		if (!$check_step[1])
		{
			$error = 'You must pass the System Requirement Check';
			$TPL->assign('error',$error);
			break;
		}
		
		if (!$field['site_name'])
		{
			$field['site_name'] = 'Axous';
		}

		if (!$field['site_root'])
		{
			$site_root = ($_SERVER['HTTPS']?'https://':'http://').$_SERVER['HTTP_HOST']
			.( ( (!$_SERVER['HTTPS'] && $_SERVER['SERVER_PORT']==80)||
			($_SERVER['HTTPS'] && $_SERVER['SERVER_PORT']==443) )?'':':'.$_SERVER['SERVER_PORT'] )
			.$_SERVER['PHP_SELF'];
			$field['site_root'] = substr($site_root,0,-17);
		}

		if (!isset($field['url_rewrite']))
		{
			$field['url_rewrite'] = 1;
		}

		$TPL->assign('field',$field);
		$title = "Step 2: Enter your site info";
		$TPL->assign('title',$title);
		install_cache();
		break;
	case 3:
		if ($dosubmit)
		{
			$field['site_name'] = trim($_POST['site_name']);
			$field['site_root'] = trim($_POST['site_root']);
			$field['paypal_account'] = trim($_POST['paypal_account']);
			$field['paypal_api_username'] = trim($_POST['paypal_api_username']);
			$field['paypal_api_password'] = trim($_POST['paypal_api_password']);
			$field['paypal_api_signature'] = trim($_POST['paypal_api_signature']);
			$field['url_rewrite'] = $url_rewrite ? 1 : 0;
		}

		$check_step[2] = 1;
		if (!($field['site_name'] && $field['site_root'] ))
		{
			$error = 'You must fill all the fields marked with *';
			$check_step[2] = 0;
		}

		if (!($check_step[1] && $check_step[2]))
		{
			$TPL->assign('error',$error);
			install_cache();
			break;
		}
		
		if (!$field['smtp_port'])
		{
			$field['smtp_port'] = 25;
		}
		
		if (!isset($field['smtp_ssl']))
		{
			$field['smtp_ssl'] = 0;
		}

		$TPL->assign('field',$field);
		$title = "Step 3: E-mail settings";
		$TPL->assign('title',$title);
		install_cache();
		break;
	case 4:
		if ($dosubmit)
		{
			$field['system_email'] = trim($_POST['system_email']);
			$field['sender_name'] = trim($_POST['sender_name']);
			$field['smtp_server'] = trim($_POST['smtp_server']);
			$field['smtp_port'] = intval(trim($_POST['smtp_port']));
			$field['smtp_ssl'] = $smtp_ssl ? 1 : 0;
			$field['smtp_username'] = trim($_POST['smtp_username']);
			$field['smtp_password'] = trim($_POST['smtp_password']);
			$field['order_notice_email'] = trim($_POST['order_notice_email']);
		}
		
		$check_step[3] = 1;
		$error = '';
		if (!ValidateAddress($field['system_email']))
		{
			$error .= 'System E-mail invalid<br />';
			$check_step[3] = 0;
		}
		
		if (!($field['smtp_server'] && $field['smtp_port']))
		{
			$error .= 'You must fill all the fields marked with *';
			$check_step[3] = 0;
		}
		
		if ($field['order_notice_email'] && 
		!ValidateAddress($field['order_notice_email']))
		{
			$error .= 'Order Notice E-mail invalid<br />';
			$check_step[3] = 0;
		}

		if (!($check_step[1] && $check_step[2] 
			&& $check_step[3]))
		{
			$TPL->assign('error',$error);
			install_cache();
			break;
		}
		
		if (!$field['dbhost'])
		{
			$field['dbhost'] = 'localhost';
		}

		$TPL->assign('field',$field);
		$title = "Step 4: MySQL settings";
		$TPL->assign('title',$title);
		install_cache();
		break;
	case 5:
		if ($dosubmit)
		{
			$field['dbhost'] = trim($_POST['dbhost']);
			$field['dbuser'] = trim($_POST['dbuser']);
			$field['dbpw'] = $_POST['dbpw'];
			$field['dbname'] = trim($_POST['dbname']);
		}
		
		$check_step[4] = 1;
		if (!check_db($field['dbhost'],$field['dbuser'],
			$field['dbpw'],$field['dbname']))
		{
			$error = 'Can not connect to MySQL server';
			$check_step[4] = 0;
		}

		if (!($check_step[1] && $check_step[2] 
			&& $check_step[3] && $check_step[4]))
		{
			$TPL->assign('error',$error);
			install_cache();
			break;
		}

		$TPL->assign('field',$field);
		$title = "Step 5: Create the first Administrator";
		$TPL->assign('title',$title);
		install_cache();
		break;
	case 6:
		if ($dosubmit)
		{
			$field['admin_name'] = trim($_POST['admin_name']);
			$field['admin_passwd'] = $admin_passwd;
			$field['admin_passwd1'] = $admin_passwd1;
			$field['admin_email'] = trim($_POST['admin_email']);
		}
		
		$check_step[5] = 1;
		$error = '';
		if (!$field['admin_name'])
		{
			$error .= 'You must fill all the fields marked with *<br />';
			$check_step[5] = 0;
		}
		
		if (!$field['admin_passwd'] || 
			$field['admin_passwd'] != $field['admin_passwd1'])
		{
			$error .= 'Password do not match<br />';
			$check_step[5] = 0;
		}
		
		if (!ValidateAddress($field['admin_email']))
		{
			$error .= 'E-mail address invalid<br />';
			$check_step[5] = 0;
		}

		if (!($check_step[1] && $check_step[2] 
			&& $check_step[3] && $check_step[4] 
			&& $check_step[5]))
		{
			$TPL->assign('error',$error);
			install_cache();
			break;
		}
		else
		{
			$sql = file_get_contents('axous.sql');
			$sql = str_replace("\r\n", "\n", $sql);
			$sql_extra = "INSERT INTO fdb_administrators (username,email,password,create_time,status) 
				VALUES('".$field['admin_name']."',
				'".$field['admin_email']."',
				'".md5($field['admin_passwd'])."',
				$timestamp,1)";
			runquery($sql,$sql_extra);

			$file_content = "<?php\r\n";
			$file_content .= "/*MySQL Server info*/\r\n";
			$file_content .= "\$dbhost = \"".$field['dbhost']."\"; //MySQL server\r\n";
			$file_content .= "\$dbuser = \"".cache_string($field['dbuser'])."\"; //User name\r\n";
			$file_content .= "\$dbpw = \"".cache_string($field['dbpw'])."\"; //Password\r\n";
			$file_content .= "\$dbname = \"".cache_string($field['dbname'])."\"; //Database Name\r\n";
			$file_content .= "\$pconnect = 0; //0=No, 1=Yes\r\n";
			$file_content .= "\$tablepre = \"fdb_\"; //Prefix of table names\r\n";
			$file_content .= "\r\n/*System Configuration*/\r\n";
			$file_content .= "\$indebug = 0; //Debug mode, 0=No, 1=Yes\r\n";
			$file_content .= "\$gzipcompress = 0; //0=No, 1=Yes\r\n";
			$file_content .= "\$cachelifetime = 3600; //seconds\r\n";
			$file_content .= "\$time_format = \"m/d/Y\";\r\n";
			$file_content .= "\$timezone = 0;\r\n";
			$file_content .= "\r\n\$sysenv['urlrewrite'] = ".$field['url_rewrite'].";\r\n";
			$file_content .= "\$sysenv['template_name'] = \"default\";\r\n";
			$file_content .= "\$sysenv['rooturl'] = \"".$field['site_root']."\";\r\n";
			$file_content .= "\$sysenv['sitename'] = \"".cache_string($field['site_name'])."\";\r\n";
			$file_content .= "\$seo['title'] = \"\";\r\n";
			$file_content .= "\$seo['keywords'] = \"\";\r\n";
			$file_content .= "\$seo['description'] = \"\";\r\n";
			$file_content .= "\$seo['customized_head'] = \"\";\r\n";
			$file_content .= "\$seo['counter'] = \"\";\r\n";
			$file_content .= "\r\n/*Finance Settings*/\r\n";
			$file_content .= "\$paypal['account'] = \"".$field['paypal_account']."\";\r\n";
			$file_content .= "\$paypal['api_username'] = \"".cache_string($field['paypal_api_username'])."\";\r\n";
			$file_content .= "\$paypal['api_password'] = \"".cache_string($field['paypal_api_password'])."\";\r\n";
			$file_content .= "\$paypal['api_signature'] = \"".cache_string($field['paypal_api_signature'])."\";\r\n";
			$file_content .= "\$paypal['sandbox'] = 0;\r\n";
			$file_content .= "\r\n/*Email Settings*/\r\n";
			$file_content .= "\$email['system_email'] = \"".$field['system_email']."\";\r\n";
			$file_content .= "\$email['sender_name'] = \"".cache_string($field['sender_name'])."\";\r\n";
			$file_content .= "\$email['smtp_server'] = \"".$field['smtp_server']."\";\r\n";
			$file_content .= "\$email['smtp_port'] = ".$field['smtp_port'].";\r\n";
			$file_content .= "\$email['smtp_ssl'] = ".$field['smtp_ssl'].";\r\n";
			$file_content .= "\$email['smtp_username'] = \"".$field['smtp_username']."\";\r\n";
			$file_content .= "\$email['smtp_password'] = \"".cache_string($field['smtp_password'])."\";\r\n";
			$file_content .= "\$email['order_notice_email'] = \"".$field['order_notice_email']."\";\r\n";
			$file_content .= "?>";
			cwritefile(APP_ROOT.'config.inc.php', $file_content, 'wb');
			cwritefile($lockfile,'');

			session_start();
			$_SESSION['admin_name'] = stripslashes(trim($admin_name));
			$_SESSION['admin_id'] = $admin_id;
			require_once(APP_ROOT.'include/cache.class.php');
			$cache->clearcache();
		}

		$title = "Finish";
		$TPL->assign('title',$title);
		break;
}

$TPL->assign('step',$step);
unset($db,$seo,$sysenv);
$TPL->display('install.html');
?>