<?php
/*
	[Axous] (C) 2009-2010 Axous Inc.
	This is NOT a freeware, use is subject to license terms
*/

class PaypalExpressCheckout {
	var $api_username;
	var $api_password;
	var $api_signature;
	var $notify_url;
	var $api_version = '63.0';
	var $api_url;
	var $webscr_url;

	function __construct($in_debug = 0) {
		if ($in_debug) {
			$this->api_url = 'https://api-3t.sandbox.paypal.com/nvp';
			$this->webscr_url = 'https://www.sandbox.paypal.com/cgi-bin/webscr';
		}
		else {
			$this->api_url = 'https://api-3t.paypal.com/nvp';
			$this->webscr_url = 'https://www.paypal.com/cgi-bin/webscr';
		}
	}

	function request_checkout($item, $currency_code, $order_number,
	$return_url, $cancel_url, $custom = '') {
		$data = array();
		$data['user'] = $this->api_username;
		$data['pwd'] = $this->api_password;
		$data['version'] = $this->api_version;
		$data['signature'] = $this->api_signature;
		$data['method'] = 'SetExpressCheckout';
		$data['paymentrequest_0_notifyurl'] = $this->notify_url;
		$data['paymentrequest_0_paymentaction'] = 'Sale';
		$data['landingpage'] = 'Billing';
		$data['returnurl'] = $return_url;
		$data['cancelurl'] = $cancel_url;
		$data['noshipping'] = '1';
		$data['paymentrequest_0_currencycode'] = $currency_code;
		$data['paymentrequest_0_invnum'] = $order_number;
		$data['paymentrequest_0_custom'] = $custom;

		$amt = 0; //Total Price
		$i = 0;
		foreach ($item as $v) {
			$data['l_paymentrequest_0_name'.$i] = $v[0];
			$data['l_paymentrequest_0_qty'.$i] = $v[1];
			$data['l_paymentrequest_0_amt'.$i] = $v[2];
			$amt += $v[1]*$v[2];
			$i++;
		}

		$data['paymentrequest_0_itemamt'] = $data['paymentrequest_0_amt'] = number_format($amt,2);

		$response = Post($this->api_url,$data);
		if ($response) {
			$response = QuerystringToArray(trim($response));
			if ($response['ack'] = 'Success') {
				header("Location:".$this->webscr_url
				."?cmd=_express-checkout&token=".$response['token']
				."&useraction=Commit");
			}
			else {
				echo 'Request Error:<br />';
				foreach ($response as $k => $v) {
					if (substr($k, 0, 13) == 'l_longmessage') {
						echo $v.'<br />';
					}
				}
				exit();
			}
		}
		else {
			echo 'Can not communicate with PayPal';
			exit();
		}
	}

	function checkout_detail($token) {
		$data = array();
		$data['user'] = $this->api_username;
		$data['pwd'] = $this->api_password;
		$data['version'] = $this->api_version;
		$data['signature'] = $this->api_signature;
		$data['method'] = 'GetExpressCheckoutDetails';
		$data['token'] = $token;

		$response = Post($this->api_url,$data);
		if ($response) {
			$response = QuerystringToArray(trim($response));
			if ($response['ack'] = 'Success') {
				return $response;
			}
			else {
				echo 'Request Error:<br />';
				foreach ($response as $k => $v) {
					if (substr($k, 0, 13) == 'l_longmessage') {
						echo $v.'<br />';
					}
				}
				exit();
			}
		}
		else {
			echo 'Can not communicate with PayPal';
			exit();
		}
	}

	function do_checkout($token) {
		$CheckoutDetail = $this->checkout_detail($token);
		$data = array();
		$data['user'] = $this->api_username;
		$data['pwd'] = $this->api_password;
		$data['version'] = $this->api_version;
		$data['signature'] = $this->api_signature;
		$data['method'] = 'DoExpressCheckoutPayment';
		$data['buttonsource'] = 'Axous_cart_EC_C2';
		$data['paymentrequest_0_notifyurl'] = $this->notify_url;
		$data['paymentrequest_0_paymentaction'] = 'Sale';
		$data['token'] = $token;
		$data['payerid'] = $CheckoutDetail['payerid'];
		$data['paymentrequest_0_amt'] = $CheckoutDetail['amt'];
		$data['paymentrequest_0_currencycode'] = $CheckoutDetail['currencycode'];

		$response = Post($this->api_url,$data);
		if ($response) {
			$response = QuerystringToArray(trim($response));
			if ($response['ack'] = 'Success') {
				return $response;
			}
			else {
				echo 'Request Error:<br />';
				foreach ($response as $k => $v) {
					if (substr($k, 0, 13) == 'l_longmessage') {
						echo $v.'<br />';
					}
				}
				exit();
			}
		}
		else {
			echo 'Can not communicate with PayPal';
			exit();
		}
	}
}
?>